package seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SealApplyApprovalRequest struct {
	// <ext>core:true</ext> 【用印申请id】用印申请id 【作用】 查询需审批的物理用印申请
	BusinessId string                                   `json:"businessId"`
	UserInfo   *common.SealApplyApprovalUserInfoRequest `json:"userInfo"`
	// <ext>core:true</ext> 【审批结果】审批结果 【作用】 对用印申请中当前正在审批的节点，将审批结果修改为同意或拒绝 【传参】 取值范围：true（同意），false（拒绝）。
	Approve *bool `json:"approve"`
	// <ext>core:true</ext> 【审批意见】审批意见 【作用】 记录审批人的意见，展示在审批节点中 【传参】 1、最大长度500字符。 2、当approve(审批结果)为false(拒绝)时，本参数必填。
	Comments string `json:"comments,omitempty"`
}

func (obj SealApplyApprovalRequest) GetUrl() string {
	return "/seal/apply/approval"
}

func (obj SealApplyApprovalRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
